# Interface FormBarcodeScannerInputJson

Defines the desired user interface is a barcode or QR code scanner. If the client does not support barcode scanning, a single-line text box should be used. See https://developers.arcgis.com/web-map-specification/objects/formBarcodeScannerInput/.

interface FormBarcodeScannerInputJson {
maxLength?: number;
minLength?: number;
type: "barcode-scanner";
}

#####
Index

### Properties

maxLength?
minLength?
type

##
Properties

### `Optional` maxLength

maxLength?: number

This represents the maximum number of characters allowed. This only applies for string fields. If not supplied, the value is derived from the length property of the referenced field in the service.

### `Optional` minLength

minLength?: number

This represents the minimum number of characters allowed. This only applies for string fields. If not supplied, the value is 0, meaning there is no minimum constraint.

### type

type

The input type identifier.